---
updatedAt: 2025-09-24T00:03:57.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List of refund requests

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/payment-refunds": {
      "get": {
        "summary": "List of refund requests",
        "description": "",
        "operationId": "list-of-refund-requests",
        "parameters": [
          {
            "name": "Client-Id",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"resources\": [\n        {\n            \"id\": \"5d838eace5f64cb3b8b395ae5cf4a6fe\",\n            \"payment_account_transaction_id\": \"9f7052e8-96cd-45da-8e5c-08c82ef83164\",\n            \"amount\": 2.0,\n            \"currency\": \"EUR\",\n            \"status\": \"paid\",\n            \"client_reference\": \"abc\",\n            \"description\": \"Reimbursement B\",\n            \"created_at\": \"2023-05-03T14:13:43.618Z\",\n            \"updated_at\": \"2023-05-03T14:13:50.021Z\"\n        },\n        {\n            \"id\": \"d599b053241b47d881f90509e2c11aed\",\n            \"payment_account_transaction_id\": \"872252e8-932d-4dda-8e5c-08c82ef86291\",\n            \"amount\": 20.0,\n            \"currency\": \"EUR\",\n            \"status\": \"paid\",\n            \"client_reference\": \"c_12345\",\n            \"description\": \"Reimbursement A\",\n            \"created_at\": \"2023-04-12T14:07:54.804Z\",\n            \"updated_at\": \"2023-04-17T08:53:10.571Z\"\n        }\n    ],\n    \"generated_at\": \"2023-05-04T13:09:16.132Z\",\n    \"pagination\": {\n        \"next_uri\": null\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resources": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "5d838eace5f64cb3b8b395ae5cf4a6fe"
                          },
                          "payment_account_transaction_id": {
                            "type": "string",
                            "example": "9f7052e8-96cd-45da-8e5c-08c82ef83164"
                          },
                          "amount": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          },
                          "currency": {
                            "type": "string",
                            "example": "EUR"
                          },
                          "status": {
                            "type": "string",
                            "example": "paid"
                          },
                          "client_reference": {
                            "type": "string",
                            "example": "abc"
                          },
                          "description": {
                            "type": "string",
                            "example": "Reimbursement B"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2023-05-03T14:13:43.618Z"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2023-05-03T14:13:50.021Z"
                          }
                        }
                      }
                    },
                    "generated_at": {
                      "type": "string",
                      "example": "2023-05-04T13:09:16.132Z"
                    },
                    "pagination": {
                      "type": "object",
                      "properties": {
                        "next_uri": {}
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/payment-refunds' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n  -H 'Content-Type: application/json' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```